The Alternative Csound Reference Manual
Previous |  | Next

# outh

outh -- Writes 6-channel audio data to an external device or stream.

## Description

Writes 6-channel audio data to an external device or stream.

## Syntax

outh asig1, asig2, asig3, asig4, asig5, asig6

## Performance

Sends 6-channel audio samples to an accumulating output buffer (created at the beginning of performance) which serves to collect the output of all active instruments before the sound is written to disk. There can be any number of these output units in an instrument.

The type (mono, stereo, quad, hex, or oct) should agree with nchnls. But as of version 3.50, Csound will attempt to change an incorrect opcode to agree with nchnls statement.

## See Also

out, outo, outq, outq1, outq2, outq3, outq4, outs, outs1, outs2, soundout

## Credits

Author: Barry L. Vercoe, Matt Ingalls/Mike Berry
MIT, Mills College
1993-1997

Previous | Home | Next
outch | Up | outiat